<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: latest_comments_panel.php
| CVS Version: 1.00
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."latest_comments_panel/infusion_db.php";

if (file_exists(INFUSIONS."latest_comments_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."latest_comments_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."latest_comments_panel/locale/English.php";
}

opensidex($locale['lcp100']);

// Articles

echo $locale['lcp101']."<br />";

$result = dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_type='A' ORDER BY comment_datestamp DESC LIMIT 0,5");

	if (dbrows($result) != 0) {
while ($data = dbarray($result)) {
echo '<img src="'.THEME.'images/bullet.gif"> <a href="'.BASEDIR.'articles.php?article_id='.$data['comment_item_id'].'" title="'.trimlink($data['comment_message'], 100).'">'.trimlink($data['comment_message'], 25).'</a><br />';
}
} else {
		echo "<div style='text-align:center' class='small'>".$locale['lcp200']."</div>\n";
		}


// Photos

echo $locale['lcp102']."<br />";

$result = dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_type='P' ORDER BY comment_datestamp DESC LIMIT 0,5");

	if (dbrows($result) != 0) {
while ($data = dbarray($result)) {
echo '<img src="'.THEME.'images/bullet.gif"> <a href="'.BASEDIR.'photogallery.php?photo_id='.$data['comment_item_id'].'" title="'.trimlink($data['comment_message'], 100).'">'.trimlink($data['comment_message'], 25).'</a><br />';
}
} else {
		echo "<div style='text-align:center' class='small'>".$locale['lcp200']."</div>\n";
		}
		
		
// News

echo $locale['lcp103']."<br />";

$result = dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_type='N' ORDER BY comment_datestamp DESC LIMIT 0,5");


	if (dbrows($result) != 0) {
while ($data = dbarray($result)) {
echo '<img src="'.THEME.'images/bullet.gif"> <a href="'.BASEDIR.'news.php?readmore='.$data['comment_item_id'].'" title="'.trimlink($data['comment_message'], 80).'">'.trimlink($data['comment_message'], 25).'</a><br />';
}
} else {
		echo "<div style='text-align:center' class='small'>".$locale['lcp200']."</div>\n";
		}


// Custom Pages

echo $locale['lcp104']."<br />";

$result = dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_type='C' ORDER BY comment_datestamp DESC LIMIT 0,5");

	if (dbrows($result) != 0) {
while ($data = dbarray($result)) {
echo '<img src="'.THEME.'images/bullet.gif"> <a href="'.BASEDIR.'viewpage.php?page_id='.$data['comment_item_id'].'" title="'.trimlink($data['comment_message'], 100).'">'.trimlink($data['comment_message'], 25).'</a><br />';
}
} else {
		echo "<div style='text-align:center' class='small'>".$locale['lcp200']."</div>\n";
		}

closesidex();
?>